class contactMailButton extends HTMLElement {
    constructor() {
        super();
        this.addButton();

    }

    async addButton() {
        let sitekey = await (await fetch("/API/config.php?name=sitekey")).text();
        console.log(sitekey);
        this.innerHTML = `E-Mail: <button id="emailButton" class="h-captcha" data-sitekey="${sitekey}" data-callback="onSubmit">laden</button><br>`;
        const script = document.createElement("script");
        script.src = "https://hCaptcha.com/1/api.js";
        document.head.append(script);
    }
}

customElements.define("jl-contact_mail_button", contactMailButton);